tomcat-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Barry Logan <blo...@blue-cove.com>
Subject jserv_mod.so compile error with tomcat 3.1
Date Fri, 12 May 2000 22:05:29 GMT
The jserv_mod.so included with the distribution will load into apache,
but seg faults when called. The error log warns of possible crash under
EAPI.

Compilation fails using the following line from the documentation:

apxs -c  *.c -o mod_jserv.so


Error output:

sh: syntax error near unexpected token `q(-'
sh: -c: line 1: `gcc q(-shared) -o autochange.so mod_jserv.o
jserv_wrapper_win.o jserv_wrapper_unix.o jserv_wrapper.o
jserv_watchdog.o jserv_utils.o jserv_status.o jserv_protocols.o
jserv_mmap.o jserv_image.o jserv_balance.o jserv_ajpv12.o jserv_ajpv11.o
autochange.o -o mod_jserv.so '
apxs:Break: Command failed with rc=131072

Please offer a solution if you have one.

Apache version: 1.3.9
RH Linux version: 6.1
kernel: 2.12

Thank you in advance,




-- 
Barry Logan       blogan@chipotle.org

Mime
View raw message